library ieee;
use ieee.std_logic_1164.all;

entity tbmcmbh is
end tbmcmbh;

architecture tbh of tbmcmbh is
  component mcmbeh is
  port(nw,clk: in std_logic;
  	a,b: in integer;
        m: out integer;
        ready: out std_logic);
end  component;

signal clk,nw,fine: std_logic;
signal a,b, r: integer;

begin
  dut: mcmbeh port map (nw,clk,a,b,r,fine);
    
  process
    begin
     clk<= '0';
     wait for 5 ns;
     clk <= '1';
     wait for 5 ns;
  end process;
  
  process 
    begin
      nw<='1';
      wait for 11 ns;
      nw <= '0';
      wait until fine= '1';
      wait for 30 ns;
  end process;
  
  process
    begin
      a<= 2;
      b<= 3;
      wait until fine='1';
      wait for 30 ns;
      a<= 4;
      b<= 5;
      wait until fine='1';
      wait for  30 ns;
      a<= 3;
      b<= 7;
      wait until fine='1';
      wait for  30 ns;
      
  end process;
 end  tbh;   

